summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorblackst0ne <blackst0ne.ru@gmail.com>2018-06-12 11:23:58 +0000
committerRémy Coutable <remy@rymai.me>2018-06-12 11:23:58 +0000
commite23fb005cfc6d0d1c0423bed3fa2dcdf291ae196 (patch)
treea9fe267877980dc10b7acc6825ecee430e091c82 /scripts
parent09d0dbb97d32a3150ddb5f8538eace7847c70b2b (diff)
downloadgitlab-ce-e23fb005cfc6d0d1c0423bed3fa2dcdf291ae196.tar.gz
Add CI job to check Gemfile.rails5.lock
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/rails5-gemfile-lock-check19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/rails5-gemfile-lock-check b/scripts/rails5-gemfile-lock-check
new file mode 100755
index 00000000000..da6f1b7145e
--- /dev/null
+++ b/scripts/rails5-gemfile-lock-check
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+echo -e "=> Checking if Gemfile.rails5.lock is up-to-date...\\n"
+
+cp Gemfile.rails5.lock Gemfile.rails5.lock.orig
+BUNDLE_GEMFILE=Gemfile.rails5 bundle install "$BUNDLE_INSTALL_FLAGS"
+diff -u Gemfile.rails5.lock.orig Gemfile.rails5.lock >/dev/null 2>&1
+
+if [ $? == 1 ]
+then
+ diff -u Gemfile.rails5.lock.orig Gemfile.rails5.lock
+
+ echo -e "\\n✖ ERROR: Gemfile.rails5.lock is not up-to-date!
+ Please run 'BUNDLE_GEMFILE=Gemfile.rails5 bundle install'\\n" >&2
+ exit 1
+fi
+
+echo "✔ Gemfile.rails5.lock is up-to-date"
+exit 0